## autopkgtest 3.6jessie1

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr
share =		$(DESTDIR)$(prefix)/share
bindir =	$(DESTDIR)$(prefix)/bin
man1dir =	$(share)/man/man1
pkgname =	autopkgtest
docdir =	$(share)/doc/$(pkgname)
datadir =	$(share)/$(pkgname)
pythondir = 	$(datadir)/python

INSTALL =	install
INSTALL_DIRS =	$(INSTALL) -d
INSTALL_PROG =	$(INSTALL) -m 0755
INSTALL_DATA =	$(INSTALL) -m 0644

programs =	virt-subproc/adt-virt-chroot \
		virt-subproc/adt-virt-null \
		virt-subproc/adt-virt-schroot \
		virt-subproc/adt-virt-lxc \
		virt-subproc/adt-virt-qemu \
		virt-subproc/adt-virt-ssh \
		tools/adt-buildvm-ubuntu-cloud \
		tools/adt-build-lxc \
		runner/adt-run

pythonfiles =	lib/VirtSubproc.py \
		lib/adtlog.py \
		lib/adt_run_args.py \
		lib/testdesc.py \
		$(NULL)

rstfiles =	$(wildcard doc/*.rst)
htmlfiles =	$(patsubst %.rst,%.html,$(rstfiles))

%.html: %.rst
	rst2html -v $< > $@

all: $(htmlfiles)

install:
	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(pythondir) $(datadir)/setup-commands $(datadir)/ssh-setup
	set -e; for f in $(programs); do \
		$(INSTALL_PROG) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
		done
	$(INSTALL_PROG) tools/adt-setup-vm $(share)/$(pkgname)
	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
	$(INSTALL_DATA) CREDITS $(docdir)
	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
	$(INSTALL_DATA) setup-commands/*[!~] $(datadir)/setup-commands
	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup

clean:
	rm -f */*.pyc
	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (3.6jessie1) testing; urgency=medium

  [ Christian Kastner ]
  * adt-setup-vm: Modify guest's dpkg config for enabling force-unsafe-io, not
    host's, when a root directory is specified as argument. (Closes: #775076)
  * Clean up /etc/dpkg/dpkg.cfg.d/autopkgtest on upgrades if its contents are
    just "force-unsafe-io", indicating that this file was generated by the
    above bug.

  [ Martin Pitt ]
  * adt-setup-vm: Check guest's /etc/network/interfaces for existing eth0
    instead of host's, when specifying a directory argument. (Spotted as a
    side issue in #775076)

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Jan 2015 20:34:34 +0100

=== debian/control ===
Source: autopkgtest
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 8),
 python3 (>= 3.1),
 python3-mock,
 python3-debian,
 python3-docutils,
 pyflakes,
 procps,
 pep8
Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.1

Package: autopkgtest
Architecture: all
Depends: python3,
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 ${misc:Depends}
Recommends: autodep8
Suggests: schroot, lxc, qemu-system, qemu-utils
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See adt-run(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

VERSION=$(shell dpkg-parsechangelog  | sed -n '/^Version:/ {s/^.*: //; p}')

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install

	# put our package version into adt-run for logging
	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/bin/adt-run

override_dh_auto_test:
	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
	tests/pep8 || true
	tests/testdesc
	tests/run_args
	env NO_PKG_MANGLE=1 tests/adt-run NullRunner

# necessary until we move to compat level 9
override_dh_pysupport:
	true

=== debian/tests/control ===
Tests: adt-run
Depends: autopkgtest, build-essential, debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

## autopkgtest 3.6jessie2

=== debian/changelog ===
autopkgtest (3.6jessie2) jessie; urgency=medium

  * adt-run: deb_package_name: only query the Package field instead of
    querying all fields and parsing the output ourselves. The latter
    breaks when asking for a str object if a field (e.g. the description)
    contains non-ascii characters.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 13 Apr 2023 13:02:00 +0200

## autopkgtest 3.13

=== debian/changelog ===
autopkgtest (3.13) unstable; urgency=medium

  * ssh-setup/adb: Add --keep-screen-active option to keep
   "powerd-cli display" running after the tests. Use with caution!
   (LP: #1441023)
  * adt-buildvm-ubuntu-cloud: Add --post-command for running a shell command
    after setup for additional customization.
  * ssh-setup/adb: Quote tr arguments.
  * click tests: Look into app/tests/autopilot/ for tests as well if no
    explicit path is given. This is the default location of the Ubuntu cmake
    templates.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Apr 2015 11:50:18 +0100

autopkgtest (3.12.1) unstable; urgency=medium

  [ Didier Roche ]
  * setup-commands/ubuntu-touch-session: Use "upstart" instead of "init".
    (LP: #1422681)

  [ Martin Pitt ]
  * adt-build-lxc: When removing the old root file system, remove btrfs
    subvolumes in it.
  * README.package-tests.rst: Document that '#' can be used for comments.
    (Part of LP #1434543)
  * Ignore debian/tests/control stanzas with unknown fields, as documented.
    (LP: #1434543)
  * adt-buildvm-ubuntu-cloud: Drop workaround for LP #1428495, it got fixed in
    cloud-init a while ago.
  * adt-buildvm-ubuntu-cloud: Fix cloud-init's prerm hacking to apply after
    dist-upgrades.

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Apr 2015 07:26:27 +0200

autopkgtest (3.12) unstable; urgency=medium

  * ssh-setup/adb: Re-enable ssh after reboot, in case an upgrade disables it.
  * ssh-setup/adb: Try to create /userdata/.adb_onlock, to get adb after
    rebooting without human interaction.
  * Fix apt-get install --simulate version parsing with third-party sources.
    (LP: #1430017)
  * ssh-setup-nova: Add --security-groups option. (LP: #1429862)
  * adt-buildvm-ubuntu-cloud: Avoid non-blocking reads from the socket in
    verbose mode, this sometimes causes hangs. Go back to blocking reads, but
    don't wait between them.
  * Fix UnicodeDecodeError on .deb package name reading. (LP: #1430773)
  * adt-virt-ssh: Export $SUDO_ASKPASS to tests if sudo is available.
    (LP: #1431421)

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Mar 2015 12:52:49 +0100

autopkgtest (3.11.1) unstable; urgency=medium

  * Fix autopkgtest-reboot to also work when being called through sudo, and
    for forking test scripts.
  * Avoid failure if /var/cache/apparmor/click-ap.rules does not exist any
    more after a reboot, like on snappy.
  * adt-buildvm-ubuntu-cloud: Avoid cloud-init's prerm stopping cloud-init's
    services while we are still running them. This makes it possible to purge
    cloud-init from user-data, and avoids killing apt/dpkg underneath us. This
    needs a cleaner solution, but is a good enough workaround for now.
    (LP: #1427999)
  * adt-buildvm-ubuntu-cloud: Don't wait between serial console reads while
    we have data. Provides faster/smoother output in --verbose mode.
  * ssh-setup/nova: Fix error message on missing keypair, the command is
    "keypair-add", not "keypair-create". Thanks Thomi Richards! (LP: #1428433)
  * adt-buildvm-ubuntu-cloud: Add workaround for recent cloud-init regression
    that disables ssh (LP #1428495)
  * adt-run: Suggest common reason for unsatisfiable test dependencies.
    Suggest using a current image, or run apt-get update/-U (for apt-get) or
    --setup-commands ro-apt-update (for temp dir install mode). (LP: #1425682)
  * Quiesce confusing "failed to create symbolic link
    /sbin/autopkgtest-reboot" warning on read-only testbeds.

 -- Martin Pitt <mpitt@debian.org>  Thu, 05 Mar 2015 13:33:12 +0100

autopkgtest (3.11) unstable; urgency=medium

  Improvements:
  * Add action argument --testname to run only one individual test from the
    next package.

  Bug fixes:
  * Restore click AppArmor profiles after a test, if we modified them before
    the test.
  * When running a deb test in a click+AppArmor environment, update AppArmor
    rules for all clicks for introspectability and temporary test
    dependencies. This takes about a minute before the test, and another one
    after the test, but is necessary for use cases like ubuntu-sanity-tests.
    (LP: #1424889)

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Feb 2015 07:02:52 +0100

autopkgtest (3.10) unstable; urgency=medium

  Improvements:
  * adt-virt-lxc: Add reboot support for non-ephemeral containers.
  * tests/run-parallel: Don't run all test classes in parallel, it creates too
    much load. Serialize test classes which use the same runner.

  Bug fixes:
  * VirtSubproc.py, cmd_reboot(): Fix debug message.
  * tests/adt-run: Avoid re-downloading ubuntu-device-flash images by
    symlinking ~/.cache/ubuntuimages from the temp $HOME into the real user's
    $HOME.
  * adt-virt-lxc: Fix check for eatmydata when using --eatmydata.
  * adt-virt-qemu: Synchronize ttyS0 output before writing eofcat.
  * adt-virt-qemu, adt-virt-lxc: Asynchronously call reboot, to avoid eternal
    hangs when it reboots too fast for us to notice that it finished.

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 Feb 2015 11:40:42 +0100

autopkgtest (3.9.7) unstable; urgency=medium

  * Include "Package-Type: deb" marked packages for testing. Fixes regression
    with testing paramiko.
  * adt-virt-qemu: Robustify setupup of shared /autopkgtest directory.
  * VirtSubProc.expect(): Read data without delay as long as we have some.
  * adt-virt-qemu: Add --show-boot option to show boot messages from serial
    console.
  * adt-setup-vm: Configure "console=ttyS0" boot option in grub on non-i386
    architectures too, to fix serial consoles with systemd images. Create
    /etc/default/grub.d/ if necessary.
  * adt-setup-vm: Only configure grub if update-grub is available.
    (Closes: #778907)
  * adt-virt-qemu: Increase reboot and dpkg-reconfigure timeouts; on loaded
    machines these might take longer than 5s.
  * adt-run: Unless --leave-lang is given, unset $LANGUAGE and all $LC_* for
    tests, to avoid clobbering the testbed locale with the host's.
    (LP: #1423359)



=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,13 @@
 	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/bin/adt-run
 
 override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
 	tests/pep8 || true
 	tests/testdesc
 	tests/run_args
 	env NO_PKG_MANGLE=1 tests/adt-run NullRunner
+endif
 
 # necessary until we move to compat level 9
 override_dh_pysupport:

## autopkgtest 3.17.2~bpo8+1

=== debian/changelog ===
autopkgtest (3.17.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Oct 2015 07:38:35 -0300

autopkgtest (3.17.2) unstable; urgency=medium

  * ssh-setup/nova: Use instance UUIDs instead of names after initial "nova
    boot", to avoid name collisions. (LP: #1495788)
  * adt-setup-vm: Drop "pin eth0 name" hack, this was fixed properly in
    systemd 226-2.
  * adt-setup-vm: Generalize ethernet ifupdown setup for net.ifnames.
  * adt_binaries.py: Fix resetting of testbed (regression in 3.17).

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Sep 2015 17:23:41 +0200

autopkgtest (3.17.1) unstable; urgency=medium

  * Add new private python modules to Makefile, to actually ship them.
  * tests/adt-run: Fix test regression when $ADT_TEST* are not set.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Sep 2015 08:38:54 +0200

autopkgtest (3.17) unstable; urgency=medium

  * setup-commands/cloud-vm-setup: Provide fallback for Ubuntu 12.04 which
    does not yet have /etc/default/grub.cfg.d/.
  * adt-virt-ssh: Add --timeout-ssh option. Thanks Leo Arias for the initial
    patch. (LP: #1488358)
  * adt-run: Add --env option to pass arbitrary environment variables to the
    test.
  * adt-virt-lxc: In the auxverb, clean up leaked background processes which
    share the same stdout/stderr, to avoid eternal hangs. (LP: #1488359)
  * Move Testbed class and related logic into separate module
    lib/adt_testbed.py, and clean up some unnecessary code interdependencies
    and error handling. This will make it easier to write alternative CLI
    frontents. This also handles test timeouts in a better way: There now is a
    proper "summary" report as "FAIL timed out", and subsequent tests will now
    run. (Closes: #741322)
  * Drop the --leave-lang option. Please use the explicit option --set-lang
    instead, to avoid weakly defined behaviour.
  * Move Binaries class into separate module lib/adt_binaries.py.
  * Testbed.execute(): Explicitly decode output of programs as UTF-8, instead
    of relying on the host locale's encoding.
  * tools/adt-setup-vm: Only configure eth0 in ifupdown if it actually exists,
    and then make sure it does not get renamed any more.
  * Add @builddeps@ build profile parsing fallback for libdpkg-perl < 1.04;
    just ignore all build profiles.
  * ssh-setup/nova: Add workaroud for cloud-init bug writing a wrong
    /etc/hosts. (LP #1494678)
  * adt-run: Log running kernel after each boot. (part of LP #1491865)
  * Track initial kernel version after test bed setup and when a test/reboot
    changes the running kernel version. Log these, and create a new
    "testinfo.json" in the output dir with this information. (LP: #1491865)
  * If --env options are specified, add these as list of name=value strings as
    "custom_environment" key to testinfo.json.
  * Put vserver arguments into testinfo.json.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Sep 2015 15:02:39 +0200

autopkgtest (3.16.3) unstable; urgency=medium

  * adt-setup-vm: Use /etc/cloud.cfg.d/ to avoid conffile prompts on upgrades.
    (LP: #1477626)
  * Don't invoke QEMU with -localtime. QEMU defaults to and Linux prefers the
    hw clock in UTC. This avoids large time jumps when doing NTP.
  * adt-setup-vm: Start autopkgtest shell after all other SysV init
    scripts/facilities, to avoid a too early start of tests while boot is
    still in progress.
  * doc/README.package-tests.rst: Use comma separator in examples.
  * VirtSubproc.check_exec(): Actually error out on stderr as documented.
  * adt-virt-ssh: Verify that sudo does not write errors, as that
    interferes with auxverbs and generally is a sign of host mis-configuration
    (typically wrong hostname).
  * ssh-setup-nova: Set hostname to "adt". This avoids overly long host names
    from defaulting to nova instance names (which can be very long).
  * ssh-setup/nova: Fix parsing of IP address from "nova show" to avoid
    tripping over instance names containing "network". (LP: #1481574)
  * Fix error message and code for "invalid test depends" errors.
  * tests/pep8: Ignore E402 ("module level import not at top of file"), as
    that's impossible to satisfy; we have to set sys.path before.
  * ssh-setup/nova: In cleanup(), wait until the instance gets deleted. This
    avoids name collisions and instance quota overflow.
  * adt-run: Always show summary at the end, which is particularly helpful for
    multiple tests. (LP: #1484991)
  * adt-run.1: Clarify that without any logging options adt-run only logs to
    stderr. (LP: #1485661)
  * adt-virt-lxc: If the executed command exits with 255, translate that to
    253 in the auxverb wrapper, as 255 is the exit code for failures of the
    auxverb itself. This avoids considering ordinary test failures as
    temporary testbed failures.
  * adt-run: Show host name, to more easily identify hosts with frequent
    failures.
  * adt-virt-lxc: Always call lxc-stop with --kill, as the containers are not
    precious and normal shutdown might hang.
  * adt-virt-lxc: In cleanup, stop LXC container before removing the shared
    downtmp, to ensure that we always clean up the running container. Also
    don't fail on errors. (LP: #1488879)
  * ssh-setup/nova: Add missing apt sources for -updates/-security
    restricted/multiverse pockets.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Aug 2015 19:54:51 +0200

autopkgtest (3.16.2) unstable; urgency=medium

  * Exit with code 4 ("test failure") if a test times out, instead of 16
    ("testbed failure").
  * Exit with code 12 ("erroneous package") if test dependencies are
    unsatisfiable and put badpkg/blame into summary, instead of exiting with
    code 20 ("other unexpected failures including bad usage").
  * Exit with code 12 ("erroneous package") and a proper error message if
    debian/tests/<testname> does not exist, instead of code 20 and a confusing


## autopkgtest 3.17.4

=== debian/changelog ===
autopkgtest (3.17.4) unstable; urgency=medium

  * Fix --apt-pocket for apt sources with [options].
  * Add tests/testarchive.py module for creating dynamic archives of mock
    debs, and add a full integration test for --apt-pocket.
  * Fix version in adt-run output (@version@ moved to adt_testbed.py).
  * adt-setup-vm, cloud-vm-setup: Purge lxc/lxd.
  * tests/testdesc: Skip Debian.test_builddeps_profiles test if dpkg is too
    old to support build profiles.

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Oct 2015 07:33:04 +0200

autopkgtest (3.17.3) unstable; urgency=medium

  * Set DEB_BUILD_OPTIONS=parallel=<#cpu> for builds and tests (as they
    sometimes build packages). (LP: #1399177)
  * If copying up files/artifacts through shared dir fails because of
    inaccessible files, fall back to piping them through the auxverb.
  * adt-build-lxc: Install dbus; a lot of software indirectly expects it
    (e. g. calling systemctl as user).
  * tools/adt-setup-vm, setup-commands/cloud-vm-setup: Purge
    libcpan-changes-perl, it breaks some Perl autopkgtests.
  * tools/adt-setup-vm, setup-commands/cloud-vm-setup: Purge git, it breaks
    Ruby's autopkgtests.
  * NullRunner.test_tmp_install: Explicitly require Json 1.0 GI version, to
    silence warning with current pygobject.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Oct 2015 08:13:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
  pyflakes,
  procps,
  pep8
-Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
+Vcs-Git: git://anonscm.debian.org/autopkgtest/autopkgtest.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
-XS-Testsuite: autopkgtest
 X-Python3-Version: >= 3.1
 
 Package: autopkgtest

## autopkgtest 3.18~bpo8+1

=== debian/changelog ===
autopkgtest (3.18~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Nov 2015 10:50:00 -0200

autopkgtest (3.18) unstable; urgency=medium

  Behaviour changes/improvements:
  * adt-virt-lxc: Drop --eatmydata option. Conceptually this isn't specific to
    the LXC runner, it should always be used for package installation (when
    available) with all runners, but never for tests.
  * setup-commands/cloud-vm-setup, tools/adt-setup-vm: Install and use
    eatmydata.
  * Use eatmydata for --apt-upgrade and installing test dependencies, if
    available.
  * ssh-setup/nova: Provide custom implementation of "wait-reboot" using "nova
    reboot --poll". This works more reliably on some clouds.
  * ssh-setup/nova: Call "nova boot" with --debug to better be able to
    diagnose failures.
  * Extend --apt-pocket=POCKET option to accept an additional
    "=pkgname1,src:srcname1,..." package list. An entry "src:srcname" expands
    to all binary packages built by that source. If given, set up apt pinning
    to use only those packages from POCKET, so that package updates in that
    pocket can be tested independently from each other for better isolation.
    (LP: #1503150)
  * Add ssh-setup/maas: Acquire and Deploy a machine via MAAS to use as an
    autopkgtest testbed. It assumes that MaaS is already set up, machines are
    commissioned to it, and you added your ssh key to it.

  Bug fixes:
  * ssh-setup/nova: Drop "Warning: PoC", we've been using this in production
    for a long time.
  * tools/adt-setup-vm: Check if we already have a configuration for the
    specific network interface that we are configuring, not just any
    interface.
  * tools/adt-buildvm-ubuntu-cloud: Counter-hack the Ubuntu livecd-rootfs
    workaround for LP #1510345 by creating a configuration for ens3 and
    removing the one for eth0.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Nov 2015 10:11:48 +0100

## autopkgtest 3.18.1~ubuntu15.04.1

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 pythonfiles =	lib/VirtSubproc.py \
 		lib/adtlog.py \
 		lib/adt_run_args.py \
+		lib/adt_testbed.py \
+		lib/adt_binaries.py \
 		lib/testdesc.py \
 		$(NULL)

=== debian/changelog ===
autopkgtest (3.18.1~ubuntu15.04.1) vivid-backports; urgency=medium

  * No-change backport to vivid

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 10:39:42 +0100

autopkgtest (3.18.1) unstable; urgency=medium

  * With --apt-pocket=POCKET=pkgname,... also include <release>-updates.
  * cloud-vm-setup, adt-setup-vm: Disable /etc/cron.daily/apt.
  * Detect if apt fails to download packages (as opposed to installing them),
    retry up to three times, and eventually fail with exit code 16. This
    avoids failing tests due to DNS/infrastructure problems and handling them
    as tmpfails instead.
  * Add test case for multiple Tests: with --apt-pocket=proposed=pkg
    selection and nonexisting dependency.
  * Properly keep track of apt pinnings across testbed resets.
  * cloud-vm-setup, adt-setup-vm: Purge open-iscsi.
  * Treat apt errors (exit code 100) from source download/extraction as
    tmpfail.
  * ssh-setup/nova: Stop adding apt sources for restricted/multiverse, as
    current images now have them by default (see LP #1177432). This avoids
    duplicate apt sources which cause stderr failure with some tests.
  * Recognize negative architecture restrictions in test Depends:.
    (LP: #1516959)
  * tools/adt-buildvm-ubuntu-cloud: Counter-hack LP #1510345 harder by
    checking /proc/cmdline instead of /etc/default/grub.

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Nov 2015 12:18:23 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: adt-run
-Depends: autopkgtest, build-essential, debhelper (>= 7)
+Depends: autopkgtest, autodep8, build-essential, debhelper (>= 7)
 Restrictions: needs-root
 Tests-Directory: tests

## autopkgtest 3.20.1~bpo8+1

=== Makefile ===
--- 
+++ 
@@ -38,10 +38,12 @@
 		virt-subproc/adt-virt-null \
 		virt-subproc/adt-virt-schroot \
 		virt-subproc/adt-virt-lxc \
+		virt-subproc/adt-virt-lxd \
 		virt-subproc/adt-virt-qemu \
 		virt-subproc/adt-virt-ssh \
 		tools/adt-buildvm-ubuntu-cloud \
 		tools/adt-build-lxc \
+		tools/adt-build-lxd \
 		runner/adt-run
 
 pythonfiles =	lib/VirtSubproc.py \
@@ -66,11 +68,10 @@
 		$(INSTALL_PROG) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
 		done
-	$(INSTALL_PROG) tools/adt-setup-vm $(share)/$(pkgname)
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
-	$(INSTALL_DATA) setup-commands/*[!~] $(datadir)/setup-commands
+	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup

=== debian/changelog ===
autopkgtest (3.20.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Mar 2016 19:12:20 -0300

autopkgtest (3.20.1) unstable; urgency=medium

  * When testing click packages, don't regenerate all AppArmor profiles if
    /var/cache/apparmor/click-ap.rules already exists. That way the profiles
    can be pre-adjusted once in a testbed instead of once for each test run,
    which greatly speeds up iterations. (LP: #1553797)
  * Move SshRunner* tests from lxc to lxd.
  * NullRunner.test_tree_output_dir test: Only check for cpu_{model,flags} on
    x86 and ARM, as these need parsing adjustments on other architectures.
  * Disable lxd autopkgtest for now, this still needs some way to set a proxy.
  * lib/VirtSubproc.py, cmd_reboot(): Add workaround for dhclient hanging on
    reboot (see LP #1556175).
  * Fix regular expression for removing profile guarded dependencies on hosts
    that don't support build profiles.
  * adt-virt-lxc: Suppress lxc-copy's stdout in the "no btrfs" fallback case.
    (Closes: #818185)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Mar 2016 22:35:54 +0100

autopkgtest (3.20) unstable; urgency=medium

  New features/behaviour changes:

  [Martin Pitt]
  * adt-virt-lxd: Launch containers in ephemeral mode.
  * adt-virt-lxc: Use the new lxc-copy if available, as lxc-clone and
    lxc-start-ephemeral got deprecated by that. This now supports reboots in
    ephemeral mode.
  * adt-virt-lxc: Add --name option. This allows CI systems to use a more
    expressive name than the autogenerated adt-virt-lxc-XXXXXX, to make it
    easier to map a container to a running test.
  * Add CPU information to testinfo.json: "nproc" (#cpus), "cpu_model", and
    "cpu_flags". (LP: #1552129)
  * Add autopkgtest for adt-build-lxd and the lxd runner.

  [ Christian Seiler ]
  * Support nested KVM by default by emulating a CPU with VMX/SVM support on
    x86_64. (Closes: #800845, part 1)
  * adt-virt-qemu: Provide read-only version of the VM image to the test as
    /dev/baseimage, for tests that want to run nested QEMU. (Closes: #800845)

  Bug fixes:

  [ Martin Pitt ]
  * setup-commands/setup-testbed: Ensure that removing cruft does not remove
    cloud-init. (LP: #1539126)
  * setup-commands/setup-testbed: Purge lxd and lxc.
  * adt-virt-lxc: Don't fail on deprecation warnings of lxc-clone and
    lxc-start-ephemeral. (LP: #1549995)
  * Run external commands with /dev/null as stdin. This has always been
    intended, but has not actually been done for a while.
  * Drop support for hook_forked_inchild() in virt-runners. This has never
    been used.
  * ssh-setup/nova: Try and prefer novaclient.v2 API first, and fall back to
    v1_1. (LP: #1552730)
  * Correctly ignore positive and negative build profiles with too old
    libdpkg-perl that does not support them yet.
  * tests/run-parallel: Don't run NullRunner and SchrootRunner tests in
    parallel, as they collide with a bind-mounted /tmp.
  * test_reboot_prepare testcase: Don't compare the host and guest kernel
    versions in the QemuRunner.
  * Keep and export $ADTTMP and $ADT_ARTIFACTS in debug shells.
    (Closes: #814115)
  * setup-commands/*: Add shebang headers to quiesce lintian.
  * Bump Standards-Version to 3.9.7 (no changes necessary).
  * Add debian/source/format (3.0 native).
  * debian/control: Use https Vcs-* links.
  * Bump debhelper compat level to 9.
  * adt-virt-qemu: Don't assert result of "runlevel" for connection test. This
    is a race condition under systemd as getty starts before default.target
    is fully finished.
  * tests/adt-run SchrootClickRunner: Ensure that the "click" system user
    exists in the schroot, so that it doesn't need to exist on the host.
  * Adjust SchrootRunner.test_apt_pocket_pkg_with_proposed_dep test case for
    apt 1.1.
  * Latest LXD now adds an "images" remote for images.linuxcontainers.org by
    default. Adjust adt-build-lxd.1 and adt-virt-lxd.1 accordingly.
  * Respect $TMPDIR when creating the downtmp and some other directory/files.
    (Closes: #817190)
  * tests/adt-run: Symlink real ~/.config/lxc into the temporary $HOME, to
    avoid regenerating the LXD client certificate for each test.

  [ Christian Seiler ]
  * setup-testbed: reduce grub timeout on images that don't already configure
    this in /etc/default/grub.d (like vmdeboostrap).
  * adt-virt-qemu: Use correct qemu-system-i386 command on i[3456]86 systems.
  * Fix spelling errors in manpages.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Mar 2016 10:05:08 +0100

autopkgtest (3.19.3) unstable; urgency=medium

  * setup-commands/setup-testbed: Avoid dpkg conffile prompts.
  * adt-virt-lxc: Call lxc-stop and lxc-destroy with --quiet, to fix breakage
    due to unexpected output with LXC 2.0.
  * adt-virt-lxc: Redirect lxc-destroy stdout, to work around LP #1543016.
  * Ignore build profiles on too old libdpkg-perl versions also when building
    the tested package.
  * adt-virt-lxd.1: Standard images from linuxcontainers.org stopped having
    "deb-src" apt lines by default. Document that standard setup commands are
    required for this and adjust examples accordingly.
  * adt-virt-lxc: Factorize cleanup code.
  * adt-virt-lxc: Run lxc-{start,stop} under "timeout" when running through
    sudo, as killing these on timeout does not work.
  * ssh-setup/nova: Wait until instance is actually ready before sending
    access info.
  * ssh-setup/nova: Show instance's console log on ssh or cloud-init timeouts,
    as that's very useful for debugging.
  * adt-virt-lxd: Drop redundant "lxc stop", just call "lxc delete --force".
  * adt-buildvm-ubuntu-cloud: Bump default image size from 4 to 20 GB.
  * runner/adt-run: Install ca-certificates along with git, to ensure that
    https URLs can be cloned.
  * tools/adt-build-lxd: Add workaround for broken "lxc file push" permissions
    (LP: #1548878)



=== debian/control ===
Source: autopkgtest
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
 python3 (>= 3.1),
 python3-mock,
 python3-debian,
 python3-docutils,
 pyflakes,
 procps,
 pep8
Vcs-Git: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
X-Python3-Version: >= 3.1

Package: autopkgtest
Architecture: all
Depends: python3,
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 ${misc:Depends}
Recommends: autodep8
Suggests: schroot, lxc, lxd-client, qemu-system, qemu-utils
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See adt-run(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

## autopkgtest 3.20.4

=== debian/changelog ===
autopkgtest (3.20.4) unstable; urgency=medium

  * setup-commands/setup-testbed: Fix kernel header installation for
    precise/armhf, which does not yet have linux-headers-generic.
  * Use "nproc" to determine the number of processors available, which is both
    more correct in a cgroup world, and also simpler.
  * Add new --build-parallel=N option to explicitly set the "parallel=N"
    $DEB_BUILD_OPTION for building packages, to override the default of
    "number of available CPUs". This is mostly useful in containers where you
    can restrict the available RAM, but not restrict the number of CPUs.
    (LP: #1569750)
  * setup-commands/setup-testbed: ubuntu-snappy got renamed to snapd, adjust
    package name.
  * adt-build-lxd: Set "distribution", "release", and "architecture"
    properties of generated images.
  * adt-build-lxd: Clean up all old images of the same distro/release/arch,
    not just the previous one. Also fix cleanup to work in non-English
    locales.
  * setup-commands/setup-testbed: Call apt-get purge only once with the list
    of all packages, instead of once per package. This is much faster.
  * SchrootClickRunner tests: Chown click dir in /opt after creating the user.
  * Bump Standards-Version to 3.9.8 (no changes necessary).
  * Update Vcs-* URLs.

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Apr 2016 11:19:45 +0200

autopkgtest (3.20.3) unstable; urgency=medium

  * Makefile: Install SKELETON after the programs (which use an [a-z] glob),
    as the latter behaves differently in different locales. Thanks Alexis
    Bienvenüe! (Closes: #820148)
  * adt-buildvm-ubuntu-cloud: Use https for cloud image download.
    (LP: #1566846)
  * setup-commands/setup-testbed: Purge ubuntu-snappy.
  * adt-virt-qemu: On AMD CPUs, default to -cpu host instead of
    "kvm64,+svm,+lahf_lm". This introduces more jitter, but is the only -cpu
    mode that actually allows nested QEMU with current QEMU versions.
  * adt-build-lxd: Force-delete preparation container at the end, even if it
    is running.
  * adt-build-lxd: Disable apt proxy configuration with ADT_APT_PROXY=="none".

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Apr 2016 16:27:09 +0200

autopkgtest (3.20.2) unstable; urgency=medium

  * setup-commands/setup-testbed: Purge lxc-common for testbed preparation.
  * adt-buildvm-ubuntu-cloud: Use the same code for determining the default
    qemu-system-* command as adt-virt-qemu. This adds support for ppc64el and
    other architectures. (Closes: #818892)
  * adt-buildvm-ubuntu-cloud: If ifnames was disabled for the initial boot,
    keep it disabled for subsequent boots instead of changing to ens3. This
    fixes building images for Ubuntu 15.04.
  * lib/VirtSubproc.py, cmd_reboot(): Drop workaround for dhclient hanging on
    reboot, LP #1556175 got fixed.
  * setup-commands/setup-testbed: Ensure that purging packages does not hang
    eternally on debconf prompts.
  * setup-commands/setup-testbed: Drop purging of xkb-data.
  * setup-commands/setup-testbed: Apply "vmalloc=512M" grub change also when
    using as a --setup-commands with adt-run, not only with building images.
    Fixes tests like udisks2 on i386 when using standard cloud images.

 -- Martin Pitt <mpitt@debian.org>  Tue, 05 Apr 2016 14:53:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_auto_install
 
 	# put our package version into adt-run for logging
-	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/bin/adt-run
+	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/share/autopkgtest/python/adt_testbed.py
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== tests/testpkg/debian/control ===
Source: testpkg
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>, Üñïcøδ€ <unicode@example.com>
Section: oldlibs
Priority: extra
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7)

Package: testpkg
Architecture: all
Depends: ${misc:Depends}
Recommends: apt-doc
Description: test package
 Test package, do not install.

## autopkgtest 3.20.4ubuntu1

=== debian/changelog ===
autopkgtest (3.20.4ubuntu1) xenial; urgency=medium

  * tests/adt-run: Filter out $ADT_NORMAL_USER from the chroot tests; we don't
    want this set when testing autopkgtest from within autopkgtest. Fixes a
    test failure when running our own autopkgtests. Cherry-pick of upstream
    commit cbac10742cc44d66c82ee9776157273a5cce7a59 (LP: #1686082)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 25 Apr 2017 15:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,
@@ -12,8 +12,8 @@
  pyflakes,
  procps,
  pep8
-Vcs-Git: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
+Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
+Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 X-Python3-Version: >= 3.1
 
 Package: autopkgtest

## autopkgtest 3.20.4ubuntu1.1

=== Makefile ===
--- 
+++ 
@@ -72,8 +72,8 @@
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
+	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
-	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
 
 clean:
 	rm -f */*.pyc

=== debian/changelog ===
autopkgtest (3.20.4ubuntu1.1) xenial; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400

=== debian/tests/control ===
Tests: adt-run
Depends: autopkgtest,
 autodep8,
 build-essential,
 debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

# LP#1557161
#Tests: lxd
#Depends: autopkgtest,
# lxd,
# lxd-client,
# build-essential,
# debhelper (>= 7),
# fakeroot
#Restrictions: isolation-machine, allow-stderr

## autopkgtest 3.20.9~ubuntu15.10.1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 pkgname =	autopkgtest
 docdir =	$(share)/doc/$(pkgname)
 datadir =	$(share)/$(pkgname)
-pythondir = 	$(datadir)/python
+pythondir = 	$(datadir)/lib
 
 INSTALL =	install
 INSTALL_DIRS =	$(INSTALL) -d

=== debian/changelog ===
autopkgtest (3.20.9~ubuntu15.10.1) wily-backports; urgency=medium

  * No-change backport to wily

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Jun 2016 16:25:59 +0200

autopkgtest (3.20.9) unstable; urgency=medium

  * Fix "apt-get source" version detection for very old source packages that
    don't have "Package-List:" yet. (LP: #1588199)
  * Skip NullRunner.test_apt_source_nonexisting test instead of failing if
    there are no deb-src apt sources configured on the host.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Jun 2016 22:22:45 +0200

autopkgtest (3.20.8) unstable; urgency=medium

  * adt-build-lxd: Fix "ADT_APT_PROXY: parameter not set" failure if host's
    apt proxy is not on localhost.
  * debian/tests/lxd: Set up LXD bridge, so that the test can actually work
    with current LXD.
  * Set $ADT_NORMAL_USER during tests that run as root.
  * Re-enable lxd autopkgtest, now that LP: #1557161 is fixed.
  * debian/tests/lxd: Enable MSS clamping, to work around broken PTMU in
    Canonical's Scalingstack: Avoids lost IP packets due to MTU mismatches.
  * adt-build-lx{c,d}: Pass on $MIRROR to setup-testbed.
  * adt-virt-qemu: Replace deprecated -redir QEMU option with
    "-net user,hostfwd=".
  * adt-buildvm-ubuntu-cloud: Provide more user friedly error if no image
    exists for the chosen release/architecture. (LP: #1586322)
  * Put back apt-cache showsrc --only-source option, as otherwise we'll catch
    binaries from unrelated sources. Add a fallback for Ubuntu 12.04 to re-try
    without --only-source.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Jun 2016 12:39:50 +0200

autopkgtest (3.20.7) unstable; urgency=medium

  * Use "gdk-pixbuf" as example package in tests and documentation instead of
    libpng. The latter recently got renamed.
  * setup-commands/setup-testbed: Don't install haveged into containers.
  * tests/adt-run: Make SchrootClickRunner tests work with a standard schroot
    (i. e.  no click and SDK preinstalled), by installing the packages via
    --setup-command.
  * tools/adt-buildvm-ubuntu-cloud: Adjust to new cloud image names from
    Ubuntu 16.10.
  * Exit with 12 ("bad package") instead of 16 ("temporary testbed failure")
    when --apt-source package does not exist.
  * Move installed python modules from /usr/share/autopkgtest/python to
    ../lib, to use the same name as in the source tree.
  * setup-commands/setup-testbed: Call all apt-get commands with /dev/null
    stdin, to avoid them seizing stdin. Fixes adt-build-lxc for Ubuntu trusty.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 May 2016 21:03:07 +0200

autopkgtest (3.20.6) unstable; urgency=medium

  * Fix OSError when running a shell is requested but /dev/tty does not exist;
    just log an error instead.
  * Fix parsing of candidate versions from "apt-cache policy" to always use
    the precise given package name. By default it falls back to a
    substring/regexp search (undocumented).
  * adt-build-lxd: Check the LXD configuration for the LXD bridge instead of
    the old LXC bridge, for apt proxy auto-detection. (LP: #1577968)
  * Generalize the apt proxy detection in adt-build* and setup-testbed to
    work for arbitrary proxies, not just apt-cacher-ng. (LP: #1577966)
  * Eliminate the need to set $AUTOPKGTEST_BASE to execute runner/adt-run from
    a git checkout. This also makes ./run-from-checkout obsolete, call
    runner/adt-run directly.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 May 2016 22:32:46 +0200

autopkgtest (3.20.5) unstable; urgency=medium

  [ Martin Packman ]
  * Fix ssh virt server example and testbed error.

  [ Martin Pitt ]
  * If git clone fails with "--git-source" the first time, retry after 15
    seconds. This should defend short temporary network glitches.
    (LP: #1571979)
  * adt-virt-qemu: Call eofcat helper with PYTHONHASHSEED=0 to avoid long
    hangs after booting the VM until the RNG gets initialized. (See #822431
    for details) (Closes: #821778)
  * adt-virt-ssh: Fix UnboundLocalError crash when logging in as root.
  * Fix running for multiple actions in one command line: (Closes: #822285)
    - Close the summary stream after the last test, not after the first.
    - Clean up the test tree on the testbed between actions.
  * Fix NullRunner.test_timeout_no_output to work with multiple parallel runs.
    (Closes: #816398)

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Apr 2016 00:14:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_auto_install
 
 	# put our package version into adt-run for logging
-	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/share/autopkgtest/python/adt_testbed.py
+	sed -i 's/@version@/$(VERSION)/' debian/autopkgtest/usr/share/autopkgtest/lib/adt_testbed.py
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: adt-run
Depends: autopkgtest,
 autodep8,
 build-essential,
 debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

Tests: lxd
Depends: autopkgtest,
 lxd,
 lxd-client,
 build-essential,
 debhelper (>= 7),
 fakeroot
Restrictions: isolation-machine, needs-root, allow-stderr
